import type { AstroConfig } from '../@types/astro.js';
type GetLocaleRelativeUrl = GetLocaleOptions & {
    locale: string;
    base: string;
    locales: string[];
    trailingSlash: AstroConfig['trailingSlash'];
    format: AstroConfig['build']['format'];
};
export type GetLocaleOptions = {
    /**
     * Makes the locale URL-friendly by replacing underscores with dashes, and converting the locale to lower case.
     */
    normalizeLocale?: boolean;
    /**
     * An optional path to add after the `locale`
     */
    path?: string;
    /**
     *  An optional path to prepend to `locale`
     */
    prependWith?: string;
};
type GetLocaleAbsoluteUrl = GetLocaleRelativeUrl & {
    site: AstroConfig['site'];
};
/**
 * The base URL
 */
export declare function getLocaleRelativeUrl({ locale, base, locales, trailingSlash, format, path, prependWith, normalizeLocale, }: GetLocaleRelativeUrl): string;
/**
 * The absolute URL
 */
export declare function getLocaleAbsoluteUrl({ site, ...rest }: GetLocaleAbsoluteUrl): string;
type GetLocalesBaseUrl = GetLocaleOptions & {
    base: string;
    locales: string[];
    trailingSlash: AstroConfig['trailingSlash'];
    format: AstroConfig['build']['format'];
};
export declare function getLocaleRelativeUrlList({ base, locales, trailingSlash, format, path, prependWith, normalizeLocale, }: GetLocalesBaseUrl): string[];
export declare function getLocaleAbsoluteUrlList({ site, ...rest }: GetLocaleAbsoluteUrl): string[];
export {};
